import{s as Gn,n as Xn,o as qn}from"../chunks/scheduler.85c25b89.js";import{S as jn,i as Wn,g as l,s,u as c,A as Kn,h as o,f as t,c as h,j as p,v as m,y as f,k as a,o as n,a as i,w as v,d as u,t as d,x as g}from"../chunks/index.9633332f.js";import{I as w}from"../chunks/IconCopyLink.a4acffac.js";function On(xi){let b,Yl,gl,Jl,x,J,wl,Se,Xr,Dt,yi="Model Summaries",Ql,Ae,$i="The model architectures included come from a wide variety of sources. Sources, including papers, original impl (“reference code”) that I rewrote / adapted, and PyTorch impl that I leveraged directly (“code”) are listed below.",Zl,Ee,Ci="Most included models have pretrained weights. The weights are either:",eo,Le,_i="<li>from their original sources</li> <li>ported by myself from their original impl in a different framework (e.g. Tensorflow models)</li> <li>trained from scratch using the included training script</li>",to,He,Ni='The validation results for the pretrained weights are <a href="results">here</a>',lo,Te,ki='A more exciting view (with pretty pictures) of the models within <code>timm</code> can be found at <a href="https://paperswithcode.com/lib/timm" rel="nofollow">paperswithcode</a>.',oo,y,Q,bl,Me,qr,Bt,Pi="Big Transfer ResNetV2 (BiT)",ro,Re,Si='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnetv2.py" rel="nofollow">resnetv2.py</a></li> <li>Paper: <code>Big Transfer (BiT): General Visual Representation Learning</code> - <a href="https://arxiv.org/abs/1912.11370" rel="nofollow">https://arxiv.org/abs/1912.11370</a></li> <li>Reference code: <a href="https://github.com/google-research/big_transfer" rel="nofollow">https://github.com/google-research/big_transfer</a></li>',io,$,Z,xl,Ie,jr,Gt,Ai="Cross-Stage Partial Networks",ao,Ue,Ei='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/cspnet.py" rel="nofollow">cspnet.py</a></li> <li>Paper: <code>CSPNet: A New Backbone that can Enhance Learning Capability of CNN</code> - <a href="https://arxiv.org/abs/1911.11929" rel="nofollow">https://arxiv.org/abs/1911.11929</a></li> <li>Reference impl: <a href="https://github.com/WongKinYiu/CrossStagePartialNetworks" rel="nofollow">https://github.com/WongKinYiu/CrossStagePartialNetworks</a></li>',no,C,ee,yl,Ve,Wr,Xt,Li="DenseNet",so,ze,Hi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/densenet.py" rel="nofollow">densenet.py</a></li> <li>Paper: <code>Densely Connected Convolutional Networks</code> - <a href="https://arxiv.org/abs/1608.06993" rel="nofollow">https://arxiv.org/abs/1608.06993</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li>',ho,_,te,$l,De,Kr,qt,Ti="DLA",po,Be,Mi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/dla.py" rel="nofollow">dla.py</a></li> <li>Paper: <a href="https://arxiv.org/abs/1707.06484" rel="nofollow">https://arxiv.org/abs/1707.06484</a></li> <li>Code: <a href="https://github.com/ucbdrive/dla" rel="nofollow">https://github.com/ucbdrive/dla</a></li>',fo,N,le,Cl,Ge,Or,jt,Ri="Dual-Path Networks",co,Xe,Ii='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/dpn.py" rel="nofollow">dpn.py</a></li> <li>Paper: <code>Dual Path Networks</code> - <a href="https://arxiv.org/abs/1707.01629" rel="nofollow">https://arxiv.org/abs/1707.01629</a></li> <li>My PyTorch code: <a href="https://github.com/rwightman/pytorch-dpn-pretrained" rel="nofollow">https://github.com/rwightman/pytorch-dpn-pretrained</a></li> <li>Reference code: <a href="https://github.com/cypw/DPNs" rel="nofollow">https://github.com/cypw/DPNs</a></li>',mo,k,oe,_l,qe,Fr,Wt,Ui="GPU-Efficient Networks",vo,je,Vi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/byobnet.py" rel="nofollow">byobnet.py</a></li> <li>Paper: <code>Neural Architecture Design for GPU-Efficient Networks</code> - <a href="https://arxiv.org/abs/2006.14090" rel="nofollow">https://arxiv.org/abs/2006.14090</a></li> <li>Reference code: <a href="https://github.com/idstcv/GPU-Efficient-Networks" rel="nofollow">https://github.com/idstcv/GPU-Efficient-Networks</a></li>',uo,P,re,Nl,We,Yr,Kt,zi="HRNet",go,Ke,Di='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/hrnet.py" rel="nofollow">hrnet.py</a></li> <li>Paper: <code>Deep High-Resolution Representation Learning for Visual Recognition</code> - <a href="https://arxiv.org/abs/1908.07919" rel="nofollow">https://arxiv.org/abs/1908.07919</a></li> <li>Code: <a href="https://github.com/HRNet/HRNet-Image-Classification" rel="nofollow">https://github.com/HRNet/HRNet-Image-Classification</a></li>',wo,S,ie,kl,Oe,Jr,Ot,Bi="Inception-V3",bo,Fe,Gi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_v3.py" rel="nofollow">inception_v3.py</a></li> <li>Paper: <code>Rethinking the Inception Architecture for Computer Vision</code> - <a href="https://arxiv.org/abs/1512.00567" rel="nofollow">https://arxiv.org/abs/1512.00567</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li>',xo,A,ae,Pl,Ye,Qr,Ft,Xi="Inception-V4",yo,Je,qi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_v4.py" rel="nofollow">inception_v4.py</a></li> <li>Paper: <code>Inception-v4, Inception-ResNet and the Impact of Residual Connections on Learning</code> - <a href="https://arxiv.org/abs/1602.07261" rel="nofollow">https://arxiv.org/abs/1602.07261</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets</a></li>',$o,E,ne,Sl,Qe,Zr,Yt,ji="Inception-ResNet-V2",Co,Ze,Wi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_resnet_v2.py" rel="nofollow">inception_resnet_v2.py</a></li> <li>Paper: <code>Inception-v4, Inception-ResNet and the Impact of Residual Connections on Learning</code> - <a href="https://arxiv.org/abs/1602.07261" rel="nofollow">https://arxiv.org/abs/1602.07261</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets</a></li>',_o,L,se,Al,et,ei,Jt,Ki="NASNet-A",No,tt,Oi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/nasnet.py" rel="nofollow">nasnet.py</a></li> <li>Papers: <code>Learning Transferable Architectures for Scalable Image Recognition</code> - <a href="https://arxiv.org/abs/1707.07012" rel="nofollow">https://arxiv.org/abs/1707.07012</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet</a></li>',ko,H,he,El,lt,ti,Qt,Fi="PNasNet-5",Po,ot,Yi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/pnasnet.py" rel="nofollow">pnasnet.py</a></li> <li>Papers: <code>Progressive Neural Architecture Search</code> - <a href="https://arxiv.org/abs/1712.00559" rel="nofollow">https://arxiv.org/abs/1712.00559</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet</a></li>',So,T,pe,Ll,rt,li,Zt,Ji="EfficientNet",Ao,it,Qi='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/efficientnet.py" rel="nofollow">efficientnet.py</a></li> <li>Papers:<ul><li>EfficientNet NoisyStudent (B0-B7, L2) - <a href="https://arxiv.org/abs/1911.04252" rel="nofollow">https://arxiv.org/abs/1911.04252</a></li> <li>EfficientNet AdvProp (B0-B8) - <a href="https://arxiv.org/abs/1911.09665" rel="nofollow">https://arxiv.org/abs/1911.09665</a></li> <li>EfficientNet (B0-B7) - <a href="https://arxiv.org/abs/1905.11946" rel="nofollow">https://arxiv.org/abs/1905.11946</a></li> <li>EfficientNet-EdgeTPU (S, M, L) - <a href="https://ai.googleblog.com/2019/08/efficientnet-edgetpu-creating.html" rel="nofollow">https://ai.googleblog.com/2019/08/efficientnet-edgetpu-creating.html</a></li> <li>MixNet - <a href="https://arxiv.org/abs/1907.09595" rel="nofollow">https://arxiv.org/abs/1907.09595</a></li> <li>MNASNet B1, A1 (Squeeze-Excite), and Small - <a href="https://arxiv.org/abs/1807.11626" rel="nofollow">https://arxiv.org/abs/1807.11626</a></li> <li>MobileNet-V2 - <a href="https://arxiv.org/abs/1801.04381" rel="nofollow">https://arxiv.org/abs/1801.04381</a></li> <li>FBNet-C - <a href="https://arxiv.org/abs/1812.03443" rel="nofollow">https://arxiv.org/abs/1812.03443</a></li> <li>Single-Path NAS - <a href="https://arxiv.org/abs/1904.02877" rel="nofollow">https://arxiv.org/abs/1904.02877</a></li></ul></li> <li>My PyTorch code: <a href="https://github.com/rwightman/gen-efficientnet-pytorch" rel="nofollow">https://github.com/rwightman/gen-efficientnet-pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/tpu/tree/master/models/official/efficientnet" rel="nofollow">https://github.com/tensorflow/tpu/tree/master/models/official/efficientnet</a></li>',Eo,M,fe,Hl,at,oi,el,Zi="MobileNet-V3",Lo,nt,ea='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/mobilenetv3.py" rel="nofollow">mobilenetv3.py</a></li> <li>Paper: <code>Searching for MobileNetV3</code> - <a href="https://arxiv.org/abs/1905.02244" rel="nofollow">https://arxiv.org/abs/1905.02244</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/mobilenet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/mobilenet</a></li>',Ho,R,ce,Tl,st,ri,tl,ta="RegNet",To,ht,la='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/regnet.py" rel="nofollow">regnet.py</a></li> <li>Paper: <code>Designing Network Design Spaces</code> - <a href="https://arxiv.org/abs/2003.13678" rel="nofollow">https://arxiv.org/abs/2003.13678</a></li> <li>Reference code: <a href="https://github.com/facebookresearch/pycls/blob/master/pycls/models/regnet.py" rel="nofollow">https://github.com/facebookresearch/pycls/blob/master/pycls/models/regnet.py</a></li>',Mo,I,me,Ml,pt,ii,ll,oa="RepVGG",Ro,ft,ra='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/byobnet.py" rel="nofollow">byobnet.py</a></li> <li>Paper: <code>Making VGG-style ConvNets Great Again</code> - <a href="https://arxiv.org/abs/2101.03697" rel="nofollow">https://arxiv.org/abs/2101.03697</a></li> <li>Reference code: <a href="https://github.com/DingXiaoH/RepVGG" rel="nofollow">https://github.com/DingXiaoH/RepVGG</a></li>',Io,U,ve,Rl,ct,ai,ol,ia="ResNet, ResNeXt",Uo,mt,aa='<li><p>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnet.py" rel="nofollow">resnet.py</a></p></li> <li><p>ResNet (V1B)</p> <ul><li>Paper: <code>Deep Residual Learning for Image Recognition</code> - <a href="https://arxiv.org/abs/1512.03385" rel="nofollow">https://arxiv.org/abs/1512.03385</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li></ul></li> <li><p>ResNeXt</p> <ul><li>Paper: <code>Aggregated Residual Transformations for Deep Neural Networks</code> - <a href="https://arxiv.org/abs/1611.05431" rel="nofollow">https://arxiv.org/abs/1611.05431</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li></ul></li> <li><p>‘Bag of Tricks’ / Gluon C, D, E, S ResNet variants</p> <ul><li>Paper: <code>Bag of Tricks for Image Classification with CNNs</code> - <a href="https://arxiv.org/abs/1812.01187" rel="nofollow">https://arxiv.org/abs/1812.01187</a></li> <li>Code: <a href="https://github.com/dmlc/gluon-cv/blob/master/gluoncv/model_zoo/resnetv1b.py" rel="nofollow">https://github.com/dmlc/gluon-cv/blob/master/gluoncv/model_zoo/resnetv1b.py</a></li></ul></li> <li><p>Instagram pretrained / ImageNet tuned ResNeXt101</p> <ul><li>Paper: <code>Exploring the Limits of Weakly Supervised Pretraining</code> - <a href="https://arxiv.org/abs/1805.00932" rel="nofollow">https://arxiv.org/abs/1805.00932</a></li> <li>Weights: <a href="https://pytorch.org/hub/facebookresearch_WSL-Images_resnext" rel="nofollow">https://pytorch.org/hub/facebookresearch_WSL-Images_resnext</a> (NOTE: CC BY-NC 4.0 License, NOT commercial friendly)</li></ul></li> <li><p>Semi-supervised (SSL) / Semi-weakly Supervised (SWSL) ResNet and ResNeXts</p> <ul><li>Paper: <code>Billion-scale semi-supervised learning for image classification</code> - <a href="https://arxiv.org/abs/1905.00546" rel="nofollow">https://arxiv.org/abs/1905.00546</a></li> <li>Weights: <a href="https://github.com/facebookresearch/semi-supervised-ImageNet1K-models" rel="nofollow">https://github.com/facebookresearch/semi-supervised-ImageNet1K-models</a> (NOTE: CC BY-NC 4.0 License, NOT commercial friendly)</li></ul></li> <li><p>Squeeze-and-Excitation Networks</p> <ul><li>Paper: <code>Squeeze-and-Excitation Networks</code> - <a href="https://arxiv.org/abs/1709.01507" rel="nofollow">https://arxiv.org/abs/1709.01507</a></li> <li>Code: Added to ResNet base, this is current version going forward, old <code>senet.py</code> is being deprecated</li></ul></li> <li><p>ECAResNet (ECA-Net)</p> <ul><li>Paper: <code>ECA-Net: Efficient Channel Attention for Deep CNN</code> - <a href="https://arxiv.org/abs/1910.03151v4" rel="nofollow">https://arxiv.org/abs/1910.03151v4</a></li> <li>Code: Added to ResNet base, ECA module contributed by @VRandme, reference <a href="https://github.com/BangguWu/ECANet" rel="nofollow">https://github.com/BangguWu/ECANet</a></li></ul></li>',Vo,V,ue,Il,vt,ni,rl,na="Res2Net",zo,ut,sa='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/res2net.py" rel="nofollow">res2net.py</a></li> <li>Paper: <code>Res2Net: A New Multi-scale Backbone Architecture</code> - <a href="https://arxiv.org/abs/1904.01169" rel="nofollow">https://arxiv.org/abs/1904.01169</a></li> <li>Code: <a href="https://github.com/gasvn/Res2Net" rel="nofollow">https://github.com/gasvn/Res2Net</a></li>',Do,z,de,Ul,dt,si,il,ha="ResNeSt",Bo,gt,pa='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnest.py" rel="nofollow">resnest.py</a></li> <li>Paper: <code>ResNeSt: Split-Attention Networks</code> - <a href="https://arxiv.org/abs/2004.08955" rel="nofollow">https://arxiv.org/abs/2004.08955</a></li> <li>Code: <a href="https://github.com/zhanghang1989/ResNeSt" rel="nofollow">https://github.com/zhanghang1989/ResNeSt</a></li>',Go,D,ge,Vl,wt,hi,al,fa="ReXNet",Xo,bt,ca='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/rexnet.py" rel="nofollow">rexnet.py</a></li> <li>Paper: <code>ReXNet: Diminishing Representational Bottleneck on CNN</code> - <a href="https://arxiv.org/abs/2007.00992" rel="nofollow">https://arxiv.org/abs/2007.00992</a></li> <li>Code: <a href="https://github.com/clovaai/rexnet" rel="nofollow">https://github.com/clovaai/rexnet</a></li>',qo,B,we,zl,xt,pi,nl,ma="Selective-Kernel Networks",jo,yt,va='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/sknet.py" rel="nofollow">sknet.py</a></li> <li>Paper: <code>Selective-Kernel Networks</code> - <a href="https://arxiv.org/abs/1903.06586" rel="nofollow">https://arxiv.org/abs/1903.06586</a></li> <li>Code: <a href="https://github.com/implus/SKNet" rel="nofollow">https://github.com/implus/SKNet</a>, <a href="https://github.com/clovaai/assembled-cnn" rel="nofollow">https://github.com/clovaai/assembled-cnn</a></li>',Wo,G,be,Dl,$t,fi,sl,ua="SelecSLS",Ko,Ct,da='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/selecsls.py" rel="nofollow">selecsls.py</a></li> <li>Paper: <code>XNect: Real-time Multi-Person 3D Motion Capture with a Single RGB Camera</code> - <a href="https://arxiv.org/abs/1907.00837" rel="nofollow">https://arxiv.org/abs/1907.00837</a></li> <li>Code: <a href="https://github.com/mehtadushy/SelecSLS-Pytorch" rel="nofollow">https://github.com/mehtadushy/SelecSLS-Pytorch</a></li>',Oo,X,xe,Bl,_t,ci,hl,ga="Squeeze-and-Excitation Networks",Fo,Nt,wa=`<li><p>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/senet.py" rel="nofollow">senet.py</a>
NOTE: I am deprecating this version of the networks, the new ones are part of <code>resnet.py</code></p></li> <li><p>Paper: <code>Squeeze-and-Excitation Networks</code> - <a href="https://arxiv.org/abs/1709.01507" rel="nofollow">https://arxiv.org/abs/1709.01507</a></p></li> <li><p>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></p></li>`,Yo,q,ye,Gl,kt,mi,pl,ba="TResNet",Jo,Pt,xa='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/tresnet.py" rel="nofollow">tresnet.py</a></li> <li>Paper: <code>TResNet: High Performance GPU-Dedicated Architecture</code> - <a href="https://arxiv.org/abs/2003.13630" rel="nofollow">https://arxiv.org/abs/2003.13630</a></li> <li>Code: <a href="https://github.com/mrT23/TResNet" rel="nofollow">https://github.com/mrT23/TResNet</a></li>',Qo,j,$e,Xl,St,vi,fl,ya="VGG",Zo,At,$a='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vgg.py" rel="nofollow">vgg.py</a></li> <li>Paper: <code>Very Deep Convolutional Networks For Large-Scale Image Recognition</code> - <a href="https://arxiv.org/pdf/1409.1556.pdf" rel="nofollow">https://arxiv.org/pdf/1409.1556.pdf</a></li> <li>Reference code: <a href="https://github.com/pytorch/vision/blob/master/torchvision/models/vgg.py" rel="nofollow">https://github.com/pytorch/vision/blob/master/torchvision/models/vgg.py</a></li>',er,W,Ce,ql,Et,ui,cl,Ca="Vision Transformer",tr,Lt,_a='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vision_transformer.py" rel="nofollow">vision_transformer.py</a></li> <li>Paper: <code>An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale</code> - <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">https://arxiv.org/abs/2010.11929</a></li> <li>Reference code and pretrained weights: <a href="https://github.com/google-research/vision_transformer" rel="nofollow">https://github.com/google-research/vision_transformer</a></li>',lr,K,_e,jl,Ht,di,ml,Na="VovNet V2 and V1",or,Tt,ka='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vovnet.py" rel="nofollow">vovnet.py</a></li> <li>Paper: <code>CenterMask : Real-Time Anchor-Free Instance Segmentation</code> - <a href="https://arxiv.org/abs/1911.06667" rel="nofollow">https://arxiv.org/abs/1911.06667</a></li> <li>Reference code: <a href="https://github.com/youngwanLEE/vovnet-detectron2" rel="nofollow">https://github.com/youngwanLEE/vovnet-detectron2</a></li>',rr,O,Ne,Wl,Mt,gi,vl,Pa="Xception",ir,Rt,Sa='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/xception.py" rel="nofollow">xception.py</a></li> <li>Paper: <code>Xception: Deep Learning with Depthwise Separable Convolutions</code> - <a href="https://arxiv.org/abs/1610.02357" rel="nofollow">https://arxiv.org/abs/1610.02357</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li>',ar,F,ke,Kl,It,wi,ul,Aa="Xception (Modified Aligned, Gluon)",nr,Ut,Ea='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/gluon_xception.py" rel="nofollow">gluon_xception.py</a></li> <li>Paper: <code>Encoder-Decoder with Atrous Separable Convolution for Semantic Image Segmentation</code> - <a href="https://arxiv.org/abs/1802.02611" rel="nofollow">https://arxiv.org/abs/1802.02611</a></li> <li>Reference code: <a href="https://github.com/dmlc/gluon-cv/tree/master/gluoncv/model_zoo" rel="nofollow">https://github.com/dmlc/gluon-cv/tree/master/gluoncv/model_zoo</a>, <a href="https://github.com/jfzhang95/pytorch-deeplab-xception/" rel="nofollow">https://github.com/jfzhang95/pytorch-deeplab-xception/</a></li>',sr,Y,Pe,Ol,Vt,bi,dl,La="Xception (Modified Aligned, TF)",hr,zt,Ha='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/aligned_xception.py" rel="nofollow">aligned_xception.py</a></li> <li>Paper: <code>Encoder-Decoder with Atrous Separable Convolution for Semantic Image Segmentation</code> - <a href="https://arxiv.org/abs/1802.02611" rel="nofollow">https://arxiv.org/abs/1802.02611</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/deeplab" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/deeplab</a></li>',pr,Fl,fr;return Se=new w({}),Me=new w({}),Ie=new w({}),Ve=new w({}),De=new w({}),Ge=new w({}),qe=new w({}),We=new w({}),Oe=new w({}),Ye=new w({}),Qe=new w({}),et=new w({}),lt=new w({}),rt=new w({}),at=new w({}),st=new w({}),pt=new w({}),ct=new w({}),vt=new w({}),dt=new w({}),wt=new w({}),xt=new w({}),$t=new w({}),_t=new w({}),kt=new w({}),St=new w({}),Et=new w({}),Ht=new w({}),Mt=new w({}),It=new w({}),Vt=new w({}),{c(){b=l("meta"),Yl=s(),gl=l("p"),Jl=s(),x=l("h1"),J=l("a"),wl=l("span"),c(Se.$$.fragment),Xr=s(),Dt=l("span"),Dt.textContent=yi,Ql=s(),Ae=l("p"),Ae.textContent=$i,Zl=s(),Ee=l("p"),Ee.textContent=Ci,eo=s(),Le=l("ol"),Le.innerHTML=_i,to=s(),He=l("p"),He.innerHTML=Ni,lo=s(),Te=l("p"),Te.innerHTML=ki,oo=s(),y=l("h2"),Q=l("a"),bl=l("span"),c(Me.$$.fragment),qr=s(),Bt=l("span"),Bt.textContent=Pi,ro=s(),Re=l("ul"),Re.innerHTML=Si,io=s(),$=l("h2"),Z=l("a"),xl=l("span"),c(Ie.$$.fragment),jr=s(),Gt=l("span"),Gt.textContent=Ai,ao=s(),Ue=l("ul"),Ue.innerHTML=Ei,no=s(),C=l("h2"),ee=l("a"),yl=l("span"),c(Ve.$$.fragment),Wr=s(),Xt=l("span"),Xt.textContent=Li,so=s(),ze=l("ul"),ze.innerHTML=Hi,ho=s(),_=l("h2"),te=l("a"),$l=l("span"),c(De.$$.fragment),Kr=s(),qt=l("span"),qt.textContent=Ti,po=s(),Be=l("ul"),Be.innerHTML=Mi,fo=s(),N=l("h2"),le=l("a"),Cl=l("span"),c(Ge.$$.fragment),Or=s(),jt=l("span"),jt.textContent=Ri,co=s(),Xe=l("ul"),Xe.innerHTML=Ii,mo=s(),k=l("h2"),oe=l("a"),_l=l("span"),c(qe.$$.fragment),Fr=s(),Wt=l("span"),Wt.textContent=Ui,vo=s(),je=l("ul"),je.innerHTML=Vi,uo=s(),P=l("h2"),re=l("a"),Nl=l("span"),c(We.$$.fragment),Yr=s(),Kt=l("span"),Kt.textContent=zi,go=s(),Ke=l("ul"),Ke.innerHTML=Di,wo=s(),S=l("h2"),ie=l("a"),kl=l("span"),c(Oe.$$.fragment),Jr=s(),Ot=l("span"),Ot.textContent=Bi,bo=s(),Fe=l("ul"),Fe.innerHTML=Gi,xo=s(),A=l("h2"),ae=l("a"),Pl=l("span"),c(Ye.$$.fragment),Qr=s(),Ft=l("span"),Ft.textContent=Xi,yo=s(),Je=l("ul"),Je.innerHTML=qi,$o=s(),E=l("h2"),ne=l("a"),Sl=l("span"),c(Qe.$$.fragment),Zr=s(),Yt=l("span"),Yt.textContent=ji,Co=s(),Ze=l("ul"),Ze.innerHTML=Wi,_o=s(),L=l("h2"),se=l("a"),Al=l("span"),c(et.$$.fragment),ei=s(),Jt=l("span"),Jt.textContent=Ki,No=s(),tt=l("ul"),tt.innerHTML=Oi,ko=s(),H=l("h2"),he=l("a"),El=l("span"),c(lt.$$.fragment),ti=s(),Qt=l("span"),Qt.textContent=Fi,Po=s(),ot=l("ul"),ot.innerHTML=Yi,So=s(),T=l("h2"),pe=l("a"),Ll=l("span"),c(rt.$$.fragment),li=s(),Zt=l("span"),Zt.textContent=Ji,Ao=s(),it=l("ul"),it.innerHTML=Qi,Eo=s(),M=l("h2"),fe=l("a"),Hl=l("span"),c(at.$$.fragment),oi=s(),el=l("span"),el.textContent=Zi,Lo=s(),nt=l("ul"),nt.innerHTML=ea,Ho=s(),R=l("h2"),ce=l("a"),Tl=l("span"),c(st.$$.fragment),ri=s(),tl=l("span"),tl.textContent=ta,To=s(),ht=l("ul"),ht.innerHTML=la,Mo=s(),I=l("h2"),me=l("a"),Ml=l("span"),c(pt.$$.fragment),ii=s(),ll=l("span"),ll.textContent=oa,Ro=s(),ft=l("ul"),ft.innerHTML=ra,Io=s(),U=l("h2"),ve=l("a"),Rl=l("span"),c(ct.$$.fragment),ai=s(),ol=l("span"),ol.textContent=ia,Uo=s(),mt=l("ul"),mt.innerHTML=aa,Vo=s(),V=l("h2"),ue=l("a"),Il=l("span"),c(vt.$$.fragment),ni=s(),rl=l("span"),rl.textContent=na,zo=s(),ut=l("ul"),ut.innerHTML=sa,Do=s(),z=l("h2"),de=l("a"),Ul=l("span"),c(dt.$$.fragment),si=s(),il=l("span"),il.textContent=ha,Bo=s(),gt=l("ul"),gt.innerHTML=pa,Go=s(),D=l("h2"),ge=l("a"),Vl=l("span"),c(wt.$$.fragment),hi=s(),al=l("span"),al.textContent=fa,Xo=s(),bt=l("ul"),bt.innerHTML=ca,qo=s(),B=l("h2"),we=l("a"),zl=l("span"),c(xt.$$.fragment),pi=s(),nl=l("span"),nl.textContent=ma,jo=s(),yt=l("ul"),yt.innerHTML=va,Wo=s(),G=l("h2"),be=l("a"),Dl=l("span"),c($t.$$.fragment),fi=s(),sl=l("span"),sl.textContent=ua,Ko=s(),Ct=l("ul"),Ct.innerHTML=da,Oo=s(),X=l("h2"),xe=l("a"),Bl=l("span"),c(_t.$$.fragment),ci=s(),hl=l("span"),hl.textContent=ga,Fo=s(),Nt=l("ul"),Nt.innerHTML=wa,Yo=s(),q=l("h2"),ye=l("a"),Gl=l("span"),c(kt.$$.fragment),mi=s(),pl=l("span"),pl.textContent=ba,Jo=s(),Pt=l("ul"),Pt.innerHTML=xa,Qo=s(),j=l("h2"),$e=l("a"),Xl=l("span"),c(St.$$.fragment),vi=s(),fl=l("span"),fl.textContent=ya,Zo=s(),At=l("ul"),At.innerHTML=$a,er=s(),W=l("h2"),Ce=l("a"),ql=l("span"),c(Et.$$.fragment),ui=s(),cl=l("span"),cl.textContent=Ca,tr=s(),Lt=l("ul"),Lt.innerHTML=_a,lr=s(),K=l("h2"),_e=l("a"),jl=l("span"),c(Ht.$$.fragment),di=s(),ml=l("span"),ml.textContent=Na,or=s(),Tt=l("ul"),Tt.innerHTML=ka,rr=s(),O=l("h2"),Ne=l("a"),Wl=l("span"),c(Mt.$$.fragment),gi=s(),vl=l("span"),vl.textContent=Pa,ir=s(),Rt=l("ul"),Rt.innerHTML=Sa,ar=s(),F=l("h2"),ke=l("a"),Kl=l("span"),c(It.$$.fragment),wi=s(),ul=l("span"),ul.textContent=Aa,nr=s(),Ut=l("ul"),Ut.innerHTML=Ea,sr=s(),Y=l("h2"),Pe=l("a"),Ol=l("span"),c(Vt.$$.fragment),bi=s(),dl=l("span"),dl.textContent=La,hr=s(),zt=l("ul"),zt.innerHTML=Ha,pr=s(),Fl=l("p"),this.h()},l(e){const r=Kn("svelte-1phssyn",document.head);b=o(r,"META",{name:!0,content:!0}),r.forEach(t),Yl=h(e),gl=o(e,"P",{}),p(gl).forEach(t),Jl=h(e),x=o(e,"H1",{class:!0});var cr=p(x);J=o(cr,"A",{id:!0,class:!0,href:!0});var Ta=p(J);wl=o(Ta,"SPAN",{});var Ma=p(wl);m(Se.$$.fragment,Ma),Ma.forEach(t),Ta.forEach(t),Xr=h(cr),Dt=o(cr,"SPAN",{"data-svelte-h":!0}),f(Dt)!=="svelte-c798uq"&&(Dt.textContent=yi),cr.forEach(t),Ql=h(e),Ae=o(e,"P",{"data-svelte-h":!0}),f(Ae)!=="svelte-jd0ajs"&&(Ae.textContent=$i),Zl=h(e),Ee=o(e,"P",{"data-svelte-h":!0}),f(Ee)!=="svelte-1hq07ud"&&(Ee.textContent=Ci),eo=h(e),Le=o(e,"OL",{"data-svelte-h":!0}),f(Le)!=="svelte-rf0dag"&&(Le.innerHTML=_i),to=h(e),He=o(e,"P",{"data-svelte-h":!0}),f(He)!=="svelte-1d4od1u"&&(He.innerHTML=Ni),lo=h(e),Te=o(e,"P",{"data-svelte-h":!0}),f(Te)!=="svelte-flvn08"&&(Te.innerHTML=ki),oo=h(e),y=o(e,"H2",{class:!0});var mr=p(y);Q=o(mr,"A",{id:!0,class:!0,href:!0});var Ra=p(Q);bl=o(Ra,"SPAN",{});var Ia=p(bl);m(Me.$$.fragment,Ia),Ia.forEach(t),Ra.forEach(t),qr=h(mr),Bt=o(mr,"SPAN",{"data-svelte-h":!0}),f(Bt)!=="svelte-1rcbzrb"&&(Bt.textContent=Pi),mr.forEach(t),ro=h(e),Re=o(e,"UL",{"data-svelte-h":!0}),f(Re)!=="svelte-zcp459"&&(Re.innerHTML=Si),io=h(e),$=o(e,"H2",{class:!0});var vr=p($);Z=o(vr,"A",{id:!0,class:!0,href:!0});var Ua=p(Z);xl=o(Ua,"SPAN",{});var Va=p(xl);m(Ie.$$.fragment,Va),Va.forEach(t),Ua.forEach(t),jr=h(vr),Gt=o(vr,"SPAN",{"data-svelte-h":!0}),f(Gt)!=="svelte-1qbaj4m"&&(Gt.textContent=Ai),vr.forEach(t),ao=h(e),Ue=o(e,"UL",{"data-svelte-h":!0}),f(Ue)!=="svelte-1i2dx5m"&&(Ue.innerHTML=Ei),no=h(e),C=o(e,"H2",{class:!0});var ur=p(C);ee=o(ur,"A",{id:!0,class:!0,href:!0});var za=p(ee);yl=o(za,"SPAN",{});var Da=p(yl);m(Ve.$$.fragment,Da),Da.forEach(t),za.forEach(t),Wr=h(ur),Xt=o(ur,"SPAN",{"data-svelte-h":!0}),f(Xt)!=="svelte-cw8ckj"&&(Xt.textContent=Li),ur.forEach(t),so=h(e),ze=o(e,"UL",{"data-svelte-h":!0}),f(ze)!=="svelte-9h8rl5"&&(ze.innerHTML=Hi),ho=h(e),_=o(e,"H2",{class:!0});var dr=p(_);te=o(dr,"A",{id:!0,class:!0,href:!0});var Ba=p(te);$l=o(Ba,"SPAN",{});var Ga=p($l);m(De.$$.fragment,Ga),Ga.forEach(t),Ba.forEach(t),Kr=h(dr),qt=o(dr,"SPAN",{"data-svelte-h":!0}),f(qt)!=="svelte-ffyrco"&&(qt.textContent=Ti),dr.forEach(t),po=h(e),Be=o(e,"UL",{"data-svelte-h":!0}),f(Be)!=="svelte-d7ezsw"&&(Be.innerHTML=Mi),fo=h(e),N=o(e,"H2",{class:!0});var gr=p(N);le=o(gr,"A",{id:!0,class:!0,href:!0});var Xa=p(le);Cl=o(Xa,"SPAN",{});var qa=p(Cl);m(Ge.$$.fragment,qa),qa.forEach(t),Xa.forEach(t),Or=h(gr),jt=o(gr,"SPAN",{"data-svelte-h":!0}),f(jt)!=="svelte-1jjpl76"&&(jt.textContent=Ri),gr.forEach(t),co=h(e),Xe=o(e,"UL",{"data-svelte-h":!0}),f(Xe)!=="svelte-5h7g89"&&(Xe.innerHTML=Ii),mo=h(e),k=o(e,"H2",{class:!0});var wr=p(k);oe=o(wr,"A",{id:!0,class:!0,href:!0});var ja=p(oe);_l=o(ja,"SPAN",{});var Wa=p(_l);m(qe.$$.fragment,Wa),Wa.forEach(t),ja.forEach(t),Fr=h(wr),Wt=o(wr,"SPAN",{"data-svelte-h":!0}),f(Wt)!=="svelte-fd1pg8"&&(Wt.textContent=Ui),wr.forEach(t),vo=h(e),je=o(e,"UL",{"data-svelte-h":!0}),f(je)!=="svelte-dx9oip"&&(je.innerHTML=Vi),uo=h(e),P=o(e,"H2",{class:!0});var br=p(P);re=o(br,"A",{id:!0,class:!0,href:!0});var Ka=p(re);Nl=o(Ka,"SPAN",{});var Oa=p(Nl);m(We.$$.fragment,Oa),Oa.forEach(t),Ka.forEach(t),Yr=h(br),Kt=o(br,"SPAN",{"data-svelte-h":!0}),f(Kt)!=="svelte-ho8rba"&&(Kt.textContent=zi),br.forEach(t),go=h(e),Ke=o(e,"UL",{"data-svelte-h":!0}),f(Ke)!=="svelte-16r6wam"&&(Ke.innerHTML=Di),wo=h(e),S=o(e,"H2",{class:!0});var xr=p(S);ie=o(xr,"A",{id:!0,class:!0,href:!0});var Fa=p(ie);kl=o(Fa,"SPAN",{});var Ya=p(kl);m(Oe.$$.fragment,Ya),Ya.forEach(t),Fa.forEach(t),Jr=h(xr),Ot=o(xr,"SPAN",{"data-svelte-h":!0}),f(Ot)!=="svelte-1pgpre"&&(Ot.textContent=Bi),xr.forEach(t),bo=h(e),Fe=o(e,"UL",{"data-svelte-h":!0}),f(Fe)!=="svelte-oef3sy"&&(Fe.innerHTML=Gi),xo=h(e),A=o(e,"H2",{class:!0});var yr=p(A);ae=o(yr,"A",{id:!0,class:!0,href:!0});var Ja=p(ae);Pl=o(Ja,"SPAN",{});var Qa=p(Pl);m(Ye.$$.fragment,Qa),Qa.forEach(t),Ja.forEach(t),Qr=h(yr),Ft=o(yr,"SPAN",{"data-svelte-h":!0}),f(Ft)!=="svelte-oy5no9"&&(Ft.textContent=Xi),yr.forEach(t),yo=h(e),Je=o(e,"UL",{"data-svelte-h":!0}),f(Je)!=="svelte-1coyojj"&&(Je.innerHTML=qi),$o=h(e),E=o(e,"H2",{class:!0});var $r=p(E);ne=o($r,"A",{id:!0,class:!0,href:!0});var Za=p(ne);Sl=o(Za,"SPAN",{});var en=p(Sl);m(Qe.$$.fragment,en),en.forEach(t),Za.forEach(t),Zr=h($r),Yt=o($r,"SPAN",{"data-svelte-h":!0}),f(Yt)!=="svelte-1bevin9"&&(Yt.textContent=ji),$r.forEach(t),Co=h(e),Ze=o(e,"UL",{"data-svelte-h":!0}),f(Ze)!=="svelte-1s2oq4t"&&(Ze.innerHTML=Wi),_o=h(e),L=o(e,"H2",{class:!0});var Cr=p(L);se=o(Cr,"A",{id:!0,class:!0,href:!0});var tn=p(se);Al=o(tn,"SPAN",{});var ln=p(Al);m(et.$$.fragment,ln),ln.forEach(t),tn.forEach(t),ei=h(Cr),Jt=o(Cr,"SPAN",{"data-svelte-h":!0}),f(Jt)!=="svelte-p2z9c8"&&(Jt.textContent=Ki),Cr.forEach(t),No=h(e),tt=o(e,"UL",{"data-svelte-h":!0}),f(tt)!=="svelte-1k6e77q"&&(tt.innerHTML=Oi),ko=h(e),H=o(e,"H2",{class:!0});var _r=p(H);he=o(_r,"A",{id:!0,class:!0,href:!0});var on=p(he);El=o(on,"SPAN",{});var rn=p(El);m(lt.$$.fragment,rn),rn.forEach(t),on.forEach(t),ti=h(_r),Qt=o(_r,"SPAN",{"data-svelte-h":!0}),f(Qt)!=="svelte-1xgkiz4"&&(Qt.textContent=Fi),_r.forEach(t),Po=h(e),ot=o(e,"UL",{"data-svelte-h":!0}),f(ot)!=="svelte-185kgsi"&&(ot.innerHTML=Yi),So=h(e),T=o(e,"H2",{class:!0});var Nr=p(T);pe=o(Nr,"A",{id:!0,class:!0,href:!0});var an=p(pe);Ll=o(an,"SPAN",{});var nn=p(Ll);m(rt.$$.fragment,nn),nn.forEach(t),an.forEach(t),li=h(Nr),Zt=o(Nr,"SPAN",{"data-svelte-h":!0}),f(Zt)!=="svelte-100w5rr"&&(Zt.textContent=Ji),Nr.forEach(t),Ao=h(e),it=o(e,"UL",{"data-svelte-h":!0}),f(it)!=="svelte-1bnh0p"&&(it.innerHTML=Qi),Eo=h(e),M=o(e,"H2",{class:!0});var kr=p(M);fe=o(kr,"A",{id:!0,class:!0,href:!0});var sn=p(fe);Hl=o(sn,"SPAN",{});var hn=p(Hl);m(at.$$.fragment,hn),hn.forEach(t),sn.forEach(t),oi=h(kr),el=o(kr,"SPAN",{"data-svelte-h":!0}),f(el)!=="svelte-1u69yw4"&&(el.textContent=Zi),kr.forEach(t),Lo=h(e),nt=o(e,"UL",{"data-svelte-h":!0}),f(nt)!=="svelte-18em2uk"&&(nt.innerHTML=ea),Ho=h(e),R=o(e,"H2",{class:!0});var Pr=p(R);ce=o(Pr,"A",{id:!0,class:!0,href:!0});var pn=p(ce);Tl=o(pn,"SPAN",{});var fn=p(Tl);m(st.$$.fragment,fn),fn.forEach(t),pn.forEach(t),ri=h(Pr),tl=o(Pr,"SPAN",{"data-svelte-h":!0}),f(tl)!=="svelte-1r627ri"&&(tl.textContent=ta),Pr.forEach(t),To=h(e),ht=o(e,"UL",{"data-svelte-h":!0}),f(ht)!=="svelte-ilhpce"&&(ht.innerHTML=la),Mo=h(e),I=o(e,"H2",{class:!0});var Sr=p(I);me=o(Sr,"A",{id:!0,class:!0,href:!0});var cn=p(me);Ml=o(cn,"SPAN",{});var mn=p(Ml);m(pt.$$.fragment,mn),mn.forEach(t),cn.forEach(t),ii=h(Sr),ll=o(Sr,"SPAN",{"data-svelte-h":!0}),f(ll)!=="svelte-1ow0np6"&&(ll.textContent=oa),Sr.forEach(t),Ro=h(e),ft=o(e,"UL",{"data-svelte-h":!0}),f(ft)!=="svelte-1t874ox"&&(ft.innerHTML=ra),Io=h(e),U=o(e,"H2",{class:!0});var Ar=p(U);ve=o(Ar,"A",{id:!0,class:!0,href:!0});var vn=p(ve);Rl=o(vn,"SPAN",{});var un=p(Rl);m(ct.$$.fragment,un),un.forEach(t),vn.forEach(t),ai=h(Ar),ol=o(Ar,"SPAN",{"data-svelte-h":!0}),f(ol)!=="svelte-1nofddz"&&(ol.textContent=ia),Ar.forEach(t),Uo=h(e),mt=o(e,"UL",{"data-svelte-h":!0}),f(mt)!=="svelte-1mj9y57"&&(mt.innerHTML=aa),Vo=h(e),V=o(e,"H2",{class:!0});var Er=p(V);ue=o(Er,"A",{id:!0,class:!0,href:!0});var dn=p(ue);Il=o(dn,"SPAN",{});var gn=p(Il);m(vt.$$.fragment,gn),gn.forEach(t),dn.forEach(t),ni=h(Er),rl=o(Er,"SPAN",{"data-svelte-h":!0}),f(rl)!=="svelte-10jf1fg"&&(rl.textContent=na),Er.forEach(t),zo=h(e),ut=o(e,"UL",{"data-svelte-h":!0}),f(ut)!=="svelte-1blzz5q"&&(ut.innerHTML=sa),Do=h(e),z=o(e,"H2",{class:!0});var Lr=p(z);de=o(Lr,"A",{id:!0,class:!0,href:!0});var wn=p(de);Ul=o(wn,"SPAN",{});var bn=p(Ul);m(dt.$$.fragment,bn),bn.forEach(t),wn.forEach(t),si=h(Lr),il=o(Lr,"SPAN",{"data-svelte-h":!0}),f(il)!=="svelte-14kkxfn"&&(il.textContent=ha),Lr.forEach(t),Bo=h(e),gt=o(e,"UL",{"data-svelte-h":!0}),f(gt)!=="svelte-21m1f2"&&(gt.innerHTML=pa),Go=h(e),D=o(e,"H2",{class:!0});var Hr=p(D);ge=o(Hr,"A",{id:!0,class:!0,href:!0});var xn=p(ge);Vl=o(xn,"SPAN",{});var yn=p(Vl);m(wt.$$.fragment,yn),yn.forEach(t),xn.forEach(t),hi=h(Hr),al=o(Hr,"SPAN",{"data-svelte-h":!0}),f(al)!=="svelte-1f56m5n"&&(al.textContent=fa),Hr.forEach(t),Xo=h(e),bt=o(e,"UL",{"data-svelte-h":!0}),f(bt)!=="svelte-11rvs8m"&&(bt.innerHTML=ca),qo=h(e),B=o(e,"H2",{class:!0});var Tr=p(B);we=o(Tr,"A",{id:!0,class:!0,href:!0});var $n=p(we);zl=o($n,"SPAN",{});var Cn=p(zl);m(xt.$$.fragment,Cn),Cn.forEach(t),$n.forEach(t),pi=h(Tr),nl=o(Tr,"SPAN",{"data-svelte-h":!0}),f(nl)!=="svelte-11pvsmo"&&(nl.textContent=ma),Tr.forEach(t),jo=h(e),yt=o(e,"UL",{"data-svelte-h":!0}),f(yt)!=="svelte-1b4m80y"&&(yt.innerHTML=va),Wo=h(e),G=o(e,"H2",{class:!0});var Mr=p(G);be=o(Mr,"A",{id:!0,class:!0,href:!0});var _n=p(be);Dl=o(_n,"SPAN",{});var Nn=p(Dl);m($t.$$.fragment,Nn),Nn.forEach(t),_n.forEach(t),fi=h(Mr),sl=o(Mr,"SPAN",{"data-svelte-h":!0}),f(sl)!=="svelte-156769d"&&(sl.textContent=ua),Mr.forEach(t),Ko=h(e),Ct=o(e,"UL",{"data-svelte-h":!0}),f(Ct)!=="svelte-1rnwmtp"&&(Ct.innerHTML=da),Oo=h(e),X=o(e,"H2",{class:!0});var Rr=p(X);xe=o(Rr,"A",{id:!0,class:!0,href:!0});var kn=p(xe);Bl=o(kn,"SPAN",{});var Pn=p(Bl);m(_t.$$.fragment,Pn),Pn.forEach(t),kn.forEach(t),ci=h(Rr),hl=o(Rr,"SPAN",{"data-svelte-h":!0}),f(hl)!=="svelte-nv58d1"&&(hl.textContent=ga),Rr.forEach(t),Fo=h(e),Nt=o(e,"UL",{"data-svelte-h":!0}),f(Nt)!=="svelte-n3ldh6"&&(Nt.innerHTML=wa),Yo=h(e),q=o(e,"H2",{class:!0});var Ir=p(q);ye=o(Ir,"A",{id:!0,class:!0,href:!0});var Sn=p(ye);Gl=o(Sn,"SPAN",{});var An=p(Gl);m(kt.$$.fragment,An),An.forEach(t),Sn.forEach(t),mi=h(Ir),pl=o(Ir,"SPAN",{"data-svelte-h":!0}),f(pl)!=="svelte-12atf3q"&&(pl.textContent=ba),Ir.forEach(t),Jo=h(e),Pt=o(e,"UL",{"data-svelte-h":!0}),f(Pt)!=="svelte-13se4r8"&&(Pt.innerHTML=xa),Qo=h(e),j=o(e,"H2",{class:!0});var Ur=p(j);$e=o(Ur,"A",{id:!0,class:!0,href:!0});var En=p($e);Xl=o(En,"SPAN",{});var Ln=p(Xl);m(St.$$.fragment,Ln),Ln.forEach(t),En.forEach(t),vi=h(Ur),fl=o(Ur,"SPAN",{"data-svelte-h":!0}),f(fl)!=="svelte-vtkvpv"&&(fl.textContent=ya),Ur.forEach(t),Zo=h(e),At=o(e,"UL",{"data-svelte-h":!0}),f(At)!=="svelte-1rfae98"&&(At.innerHTML=$a),er=h(e),W=o(e,"H2",{class:!0});var Vr=p(W);Ce=o(Vr,"A",{id:!0,class:!0,href:!0});var Hn=p(Ce);ql=o(Hn,"SPAN",{});var Tn=p(ql);m(Et.$$.fragment,Tn),Tn.forEach(t),Hn.forEach(t),ui=h(Vr),cl=o(Vr,"SPAN",{"data-svelte-h":!0}),f(cl)!=="svelte-1n8kz1g"&&(cl.textContent=Ca),Vr.forEach(t),tr=h(e),Lt=o(e,"UL",{"data-svelte-h":!0}),f(Lt)!=="svelte-65adf6"&&(Lt.innerHTML=_a),lr=h(e),K=o(e,"H2",{class:!0});var zr=p(K);_e=o(zr,"A",{id:!0,class:!0,href:!0});var Mn=p(_e);jl=o(Mn,"SPAN",{});var Rn=p(jl);m(Ht.$$.fragment,Rn),Rn.forEach(t),Mn.forEach(t),di=h(zr),ml=o(zr,"SPAN",{"data-svelte-h":!0}),f(ml)!=="svelte-15tik95"&&(ml.textContent=Na),zr.forEach(t),or=h(e),Tt=o(e,"UL",{"data-svelte-h":!0}),f(Tt)!=="svelte-1tug24z"&&(Tt.innerHTML=ka),rr=h(e),O=o(e,"H2",{class:!0});var Dr=p(O);Ne=o(Dr,"A",{id:!0,class:!0,href:!0});var In=p(Ne);Wl=o(In,"SPAN",{});var Un=p(Wl);m(Mt.$$.fragment,Un),Un.forEach(t),In.forEach(t),gi=h(Dr),vl=o(Dr,"SPAN",{"data-svelte-h":!0}),f(vl)!=="svelte-sujnjf"&&(vl.textContent=Pa),Dr.forEach(t),ir=h(e),Rt=o(e,"UL",{"data-svelte-h":!0}),f(Rt)!=="svelte-btrshz"&&(Rt.innerHTML=Sa),ar=h(e),F=o(e,"H2",{class:!0});var Br=p(F);ke=o(Br,"A",{id:!0,class:!0,href:!0});var Vn=p(ke);Kl=o(Vn,"SPAN",{});var zn=p(Kl);m(It.$$.fragment,zn),zn.forEach(t),Vn.forEach(t),wi=h(Br),ul=o(Br,"SPAN",{"data-svelte-h":!0}),f(ul)!=="svelte-3yvssk"&&(ul.textContent=Aa),Br.forEach(t),nr=h(e),Ut=o(e,"UL",{"data-svelte-h":!0}),f(Ut)!=="svelte-k56gru"&&(Ut.innerHTML=Ea),sr=h(e),Y=o(e,"H2",{class:!0});var Gr=p(Y);Pe=o(Gr,"A",{id:!0,class:!0,href:!0});var Dn=p(Pe);Ol=o(Dn,"SPAN",{});var Bn=p(Ol);m(Vt.$$.fragment,Bn),Bn.forEach(t),Dn.forEach(t),bi=h(Gr),dl=o(Gr,"SPAN",{"data-svelte-h":!0}),f(dl)!=="svelte-ftihop"&&(dl.textContent=La),Gr.forEach(t),hr=h(e),zt=o(e,"UL",{"data-svelte-h":!0}),f(zt)!=="svelte-ds2pan"&&(zt.innerHTML=Ha),pr=h(e),Fl=o(e,"P",{}),p(Fl).forEach(t),this.h()},h(){a(b,"name","hf:doc:metadata"),a(b,"content",JSON.stringify(Fn)),a(J,"id","model-summaries"),a(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(J,"href","#model-summaries"),a(x,"class","relative group"),a(Q,"id","big-transfer-resnetv2-bit"),a(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Q,"href","#big-transfer-resnetv2-bit"),a(y,"class","relative group"),a(Z,"id","crossstage-partial-networks"),a(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Z,"href","#crossstage-partial-networks"),a($,"class","relative group"),a(ee,"id","densenet"),a(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ee,"href","#densenet"),a(C,"class","relative group"),a(te,"id","dla"),a(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(te,"href","#dla"),a(_,"class","relative group"),a(le,"id","dualpath-networks"),a(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(le,"href","#dualpath-networks"),a(N,"class","relative group"),a(oe,"id","gpuefficient-networks"),a(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(oe,"href","#gpuefficient-networks"),a(k,"class","relative group"),a(re,"id","hrnet"),a(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(re,"href","#hrnet"),a(P,"class","relative group"),a(ie,"id","inceptionv3"),a(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ie,"href","#inceptionv3"),a(S,"class","relative group"),a(ae,"id","inceptionv4"),a(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ae,"href","#inceptionv4"),a(A,"class","relative group"),a(ne,"id","inceptionresnetv2"),a(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ne,"href","#inceptionresnetv2"),a(E,"class","relative group"),a(se,"id","nasneta"),a(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(se,"href","#nasneta"),a(L,"class","relative group"),a(he,"id","pnasnet5"),a(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(he,"href","#pnasnet5"),a(H,"class","relative group"),a(pe,"id","efficientnet"),a(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(pe,"href","#efficientnet"),a(T,"class","relative group"),a(fe,"id","mobilenetv3"),a(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(fe,"href","#mobilenetv3"),a(M,"class","relative group"),a(ce,"id","regnet"),a(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ce,"href","#regnet"),a(R,"class","relative group"),a(me,"id","repvgg"),a(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(me,"href","#repvgg"),a(I,"class","relative group"),a(ve,"id","resnet-resnext"),a(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ve,"href","#resnet-resnext"),a(U,"class","relative group"),a(ue,"id","res2net"),a(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ue,"href","#res2net"),a(V,"class","relative group"),a(de,"id","resnest"),a(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(de,"href","#resnest"),a(z,"class","relative group"),a(ge,"id","rexnet"),a(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ge,"href","#rexnet"),a(D,"class","relative group"),a(we,"id","selectivekernel-networks"),a(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(we,"href","#selectivekernel-networks"),a(B,"class","relative group"),a(be,"id","selecsls"),a(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(be,"href","#selecsls"),a(G,"class","relative group"),a(xe,"id","squeezeandexcitation-networks"),a(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(xe,"href","#squeezeandexcitation-networks"),a(X,"class","relative group"),a(ye,"id","tresnet"),a(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ye,"href","#tresnet"),a(q,"class","relative group"),a($e,"id","vgg"),a($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a($e,"href","#vgg"),a(j,"class","relative group"),a(Ce,"id","vision-transformer"),a(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ce,"href","#vision-transformer"),a(W,"class","relative group"),a(_e,"id","vovnet-v2-and-v1"),a(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(_e,"href","#vovnet-v2-and-v1"),a(K,"class","relative group"),a(Ne,"id","xception"),a(Ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ne,"href","#xception"),a(O,"class","relative group"),a(ke,"id","xception-modified-aligned-gluon"),a(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ke,"href","#xception-modified-aligned-gluon"),a(F,"class","relative group"),a(Pe,"id","xception-modified-aligned-tf"),a(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Pe,"href","#xception-modified-aligned-tf"),a(Y,"class","relative group")},m(e,r){n(document.head,b),i(e,Yl,r),i(e,gl,r),i(e,Jl,r),i(e,x,r),n(x,J),n(J,wl),v(Se,wl,null),n(x,Xr),n(x,Dt),i(e,Ql,r),i(e,Ae,r),i(e,Zl,r),i(e,Ee,r),i(e,eo,r),i(e,Le,r),i(e,to,r),i(e,He,r),i(e,lo,r),i(e,Te,r),i(e,oo,r),i(e,y,r),n(y,Q),n(Q,bl),v(Me,bl,null),n(y,qr),n(y,Bt),i(e,ro,r),i(e,Re,r),i(e,io,r),i(e,$,r),n($,Z),n(Z,xl),v(Ie,xl,null),n($,jr),n($,Gt),i(e,ao,r),i(e,Ue,r),i(e,no,r),i(e,C,r),n(C,ee),n(ee,yl),v(Ve,yl,null),n(C,Wr),n(C,Xt),i(e,so,r),i(e,ze,r),i(e,ho,r),i(e,_,r),n(_,te),n(te,$l),v(De,$l,null),n(_,Kr),n(_,qt),i(e,po,r),i(e,Be,r),i(e,fo,r),i(e,N,r),n(N,le),n(le,Cl),v(Ge,Cl,null),n(N,Or),n(N,jt),i(e,co,r),i(e,Xe,r),i(e,mo,r),i(e,k,r),n(k,oe),n(oe,_l),v(qe,_l,null),n(k,Fr),n(k,Wt),i(e,vo,r),i(e,je,r),i(e,uo,r),i(e,P,r),n(P,re),n(re,Nl),v(We,Nl,null),n(P,Yr),n(P,Kt),i(e,go,r),i(e,Ke,r),i(e,wo,r),i(e,S,r),n(S,ie),n(ie,kl),v(Oe,kl,null),n(S,Jr),n(S,Ot),i(e,bo,r),i(e,Fe,r),i(e,xo,r),i(e,A,r),n(A,ae),n(ae,Pl),v(Ye,Pl,null),n(A,Qr),n(A,Ft),i(e,yo,r),i(e,Je,r),i(e,$o,r),i(e,E,r),n(E,ne),n(ne,Sl),v(Qe,Sl,null),n(E,Zr),n(E,Yt),i(e,Co,r),i(e,Ze,r),i(e,_o,r),i(e,L,r),n(L,se),n(se,Al),v(et,Al,null),n(L,ei),n(L,Jt),i(e,No,r),i(e,tt,r),i(e,ko,r),i(e,H,r),n(H,he),n(he,El),v(lt,El,null),n(H,ti),n(H,Qt),i(e,Po,r),i(e,ot,r),i(e,So,r),i(e,T,r),n(T,pe),n(pe,Ll),v(rt,Ll,null),n(T,li),n(T,Zt),i(e,Ao,r),i(e,it,r),i(e,Eo,r),i(e,M,r),n(M,fe),n(fe,Hl),v(at,Hl,null),n(M,oi),n(M,el),i(e,Lo,r),i(e,nt,r),i(e,Ho,r),i(e,R,r),n(R,ce),n(ce,Tl),v(st,Tl,null),n(R,ri),n(R,tl),i(e,To,r),i(e,ht,r),i(e,Mo,r),i(e,I,r),n(I,me),n(me,Ml),v(pt,Ml,null),n(I,ii),n(I,ll),i(e,Ro,r),i(e,ft,r),i(e,Io,r),i(e,U,r),n(U,ve),n(ve,Rl),v(ct,Rl,null),n(U,ai),n(U,ol),i(e,Uo,r),i(e,mt,r),i(e,Vo,r),i(e,V,r),n(V,ue),n(ue,Il),v(vt,Il,null),n(V,ni),n(V,rl),i(e,zo,r),i(e,ut,r),i(e,Do,r),i(e,z,r),n(z,de),n(de,Ul),v(dt,Ul,null),n(z,si),n(z,il),i(e,Bo,r),i(e,gt,r),i(e,Go,r),i(e,D,r),n(D,ge),n(ge,Vl),v(wt,Vl,null),n(D,hi),n(D,al),i(e,Xo,r),i(e,bt,r),i(e,qo,r),i(e,B,r),n(B,we),n(we,zl),v(xt,zl,null),n(B,pi),n(B,nl),i(e,jo,r),i(e,yt,r),i(e,Wo,r),i(e,G,r),n(G,be),n(be,Dl),v($t,Dl,null),n(G,fi),n(G,sl),i(e,Ko,r),i(e,Ct,r),i(e,Oo,r),i(e,X,r),n(X,xe),n(xe,Bl),v(_t,Bl,null),n(X,ci),n(X,hl),i(e,Fo,r),i(e,Nt,r),i(e,Yo,r),i(e,q,r),n(q,ye),n(ye,Gl),v(kt,Gl,null),n(q,mi),n(q,pl),i(e,Jo,r),i(e,Pt,r),i(e,Qo,r),i(e,j,r),n(j,$e),n($e,Xl),v(St,Xl,null),n(j,vi),n(j,fl),i(e,Zo,r),i(e,At,r),i(e,er,r),i(e,W,r),n(W,Ce),n(Ce,ql),v(Et,ql,null),n(W,ui),n(W,cl),i(e,tr,r),i(e,Lt,r),i(e,lr,r),i(e,K,r),n(K,_e),n(_e,jl),v(Ht,jl,null),n(K,di),n(K,ml),i(e,or,r),i(e,Tt,r),i(e,rr,r),i(e,O,r),n(O,Ne),n(Ne,Wl),v(Mt,Wl,null),n(O,gi),n(O,vl),i(e,ir,r),i(e,Rt,r),i(e,ar,r),i(e,F,r),n(F,ke),n(ke,Kl),v(It,Kl,null),n(F,wi),n(F,ul),i(e,nr,r),i(e,Ut,r),i(e,sr,r),i(e,Y,r),n(Y,Pe),n(Pe,Ol),v(Vt,Ol,null),n(Y,bi),n(Y,dl),i(e,hr,r),i(e,zt,r),i(e,pr,r),i(e,Fl,r),fr=!0},p:Xn,i(e){fr||(u(Se.$$.fragment,e),u(Me.$$.fragment,e),u(Ie.$$.fragment,e),u(Ve.$$.fragment,e),u(De.$$.fragment,e),u(Ge.$$.fragment,e),u(qe.$$.fragment,e),u(We.$$.fragment,e),u(Oe.$$.fragment,e),u(Ye.$$.fragment,e),u(Qe.$$.fragment,e),u(et.$$.fragment,e),u(lt.$$.fragment,e),u(rt.$$.fragment,e),u(at.$$.fragment,e),u(st.$$.fragment,e),u(pt.$$.fragment,e),u(ct.$$.fragment,e),u(vt.$$.fragment,e),u(dt.$$.fragment,e),u(wt.$$.fragment,e),u(xt.$$.fragment,e),u($t.$$.fragment,e),u(_t.$$.fragment,e),u(kt.$$.fragment,e),u(St.$$.fragment,e),u(Et.$$.fragment,e),u(Ht.$$.fragment,e),u(Mt.$$.fragment,e),u(It.$$.fragment,e),u(Vt.$$.fragment,e),fr=!0)},o(e){d(Se.$$.fragment,e),d(Me.$$.fragment,e),d(Ie.$$.fragment,e),d(Ve.$$.fragment,e),d(De.$$.fragment,e),d(Ge.$$.fragment,e),d(qe.$$.fragment,e),d(We.$$.fragment,e),d(Oe.$$.fragment,e),d(Ye.$$.fragment,e),d(Qe.$$.fragment,e),d(et.$$.fragment,e),d(lt.$$.fragment,e),d(rt.$$.fragment,e),d(at.$$.fragment,e),d(st.$$.fragment,e),d(pt.$$.fragment,e),d(ct.$$.fragment,e),d(vt.$$.fragment,e),d(dt.$$.fragment,e),d(wt.$$.fragment,e),d(xt.$$.fragment,e),d($t.$$.fragment,e),d(_t.$$.fragment,e),d(kt.$$.fragment,e),d(St.$$.fragment,e),d(Et.$$.fragment,e),d(Ht.$$.fragment,e),d(Mt.$$.fragment,e),d(It.$$.fragment,e),d(Vt.$$.fragment,e),fr=!1},d(e){e&&(t(Yl),t(gl),t(Jl),t(x),t(Ql),t(Ae),t(Zl),t(Ee),t(eo),t(Le),t(to),t(He),t(lo),t(Te),t(oo),t(y),t(ro),t(Re),t(io),t($),t(ao),t(Ue),t(no),t(C),t(so),t(ze),t(ho),t(_),t(po),t(Be),t(fo),t(N),t(co),t(Xe),t(mo),t(k),t(vo),t(je),t(uo),t(P),t(go),t(Ke),t(wo),t(S),t(bo),t(Fe),t(xo),t(A),t(yo),t(Je),t($o),t(E),t(Co),t(Ze),t(_o),t(L),t(No),t(tt),t(ko),t(H),t(Po),t(ot),t(So),t(T),t(Ao),t(it),t(Eo),t(M),t(Lo),t(nt),t(Ho),t(R),t(To),t(ht),t(Mo),t(I),t(Ro),t(ft),t(Io),t(U),t(Uo),t(mt),t(Vo),t(V),t(zo),t(ut),t(Do),t(z),t(Bo),t(gt),t(Go),t(D),t(Xo),t(bt),t(qo),t(B),t(jo),t(yt),t(Wo),t(G),t(Ko),t(Ct),t(Oo),t(X),t(Fo),t(Nt),t(Yo),t(q),t(Jo),t(Pt),t(Qo),t(j),t(Zo),t(At),t(er),t(W),t(tr),t(Lt),t(lr),t(K),t(or),t(Tt),t(rr),t(O),t(ir),t(Rt),t(ar),t(F),t(nr),t(Ut),t(sr),t(Y),t(hr),t(zt),t(pr),t(Fl)),t(b),g(Se),g(Me),g(Ie),g(Ve),g(De),g(Ge),g(qe),g(We),g(Oe),g(Ye),g(Qe),g(et),g(lt),g(rt),g(at),g(st),g(pt),g(ct),g(vt),g(dt),g(wt),g(xt),g($t),g(_t),g(kt),g(St),g(Et),g(Ht),g(Mt),g(It),g(Vt)}}}const Fn={local:"model-summaries",sections:[{local:"big-transfer-resnetv2-bit",title:"Big Transfer ResNetV2 (BiT)"},{local:"crossstage-partial-networks",title:"Cross-Stage Partial Networks"},{local:"densenet",title:"DenseNet"},{local:"dla",title:"DLA"},{local:"dualpath-networks",title:"Dual-Path Networks"},{local:"gpuefficient-networks",title:"GPU-Efficient Networks"},{local:"hrnet",title:"HRNet"},{local:"inceptionv3",title:"Inception-V3"},{local:"inceptionv4",title:"Inception-V4"},{local:"inceptionresnetv2",title:"Inception-ResNet-V2"},{local:"nasneta",title:"NASNet-A"},{local:"pnasnet5",title:"PNasNet-5"},{local:"efficientnet",title:"EfficientNet"},{local:"mobilenetv3",title:"MobileNet-V3"},{local:"regnet",title:"RegNet"},{local:"repvgg",title:"RepVGG"},{local:"resnet-resnext",title:"ResNet, ResNeXt"},{local:"res2net",title:"Res2Net"},{local:"resnest",title:"ResNeSt"},{local:"rexnet",title:"ReXNet"},{local:"selectivekernel-networks",title:"Selective-Kernel Networks"},{local:"selecsls",title:"SelecSLS"},{local:"squeezeandexcitation-networks",title:"Squeeze-and-Excitation Networks"},{local:"tresnet",title:"TResNet"},{local:"vgg",title:"VGG"},{local:"vision-transformer",title:"Vision Transformer"},{local:"vovnet-v2-and-v1",title:"VovNet V2 and V1"},{local:"xception",title:"Xception"},{local:"xception-modified-aligned-gluon",title:"Xception (Modified Aligned, Gluon)"},{local:"xception-modified-aligned-tf",title:"Xception (Modified Aligned, TF)"}],title:"Model Summaries"};function Yn(xi){return qn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class es extends jn{constructor(b){super(),Wn(this,b,Yn,On,Gn,{})}}export{es as component};
